/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.communication.topology;

import java.lang.reflect.InvocationTargetException;

import org.ow2.petals.clientserverapi.topology.TopologyService;

import com.ebmwebsourcing.easycommons.lang.reflect.ReflectionHelper;

/**
 * Abstract class for unit tests of {@link TopologyServiceImpl}.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public abstract class AbstractTopologyServiceImplTest {

    protected void startTopologyService(final TopologyService topoSvc) throws InvocationTargetException {
        ReflectionHelper.invokePrivateMethod(topoSvc, "start", null, null);
    }

    protected void stopTopologyService(final TopologyService topoSvc) throws InvocationTargetException {
        ReflectionHelper.invokePrivateMethod(topoSvc, "stop", null, null);
    }

}
