/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.container.utest;

import java.io.IOException;

import javax.jbi.JBIException;
import javax.jbi.component.Component;
import javax.management.ObjectName;
import javax.naming.NamingException;

import org.objectweb.fractal.fraclet.annotations.Interface;
import org.ow2.petals.jbi.descriptor.original.generated.Jbi;
import org.ow2.petals.jbi.servicedesc.endpoint.Location;
import org.ow2.petals.microkernel.api.container.Installer;
import org.ow2.petals.microkernel.api.container.IsolatingThread;
import org.ow2.petals.microkernel.api.jbi.component.PetalsComponentContext;
import org.ow2.petals.microkernel.api.jbi.management.Context;

@org.objectweb.fractal.fraclet.annotations.Component(provides = @Interface(name = "service", signature = Installer.class))
public class DummyInstallerImpl implements Installer {

    private Jbi jbiDescriptor;

    @Override
    public ObjectName getInstallerConfigurationMBean() throws JBIException {
        return null;
    }

    @Override
    public String getInstallRoot() {
        return null;
    }

    @Override
    public ObjectName install() throws JBIException {
        return null;
    }

    @Override
    public boolean isInstalled() {
        return false;
    }

    @Override
    public void uninstall() throws JBIException {
        // NOP
    }

    @Override
    public Jbi getJBIDescriptor() {
        return this.jbiDescriptor;
    }

    @Override
    public void init(final Context ctxt) throws IOException, JBIException, NamingException {
        // NOP
    }

    @Override
    public void initBootstrap(boolean install) throws JBIException {
        // NOP
    }

    @Override
    public Component getComponent() {
        return null;
    }

    @Override
    public String getComponentName() {
        return null;
    }

    @Override
    public Location getLocation() {
        return null;
    }

    @Override
    public IsolatingThread getComponentThread() {
        return null;
    }

    @Override
    public PetalsComponentContext getComponentContext() {
        return null;
    }
}
